Debian Bug report logs - #444708
ITA: parrot -- virtual machine for dynamic languages

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 30 Sep 2007 13:42:02 UTC

Owned by: Allison Randal <allison@perl.org>

Severity: normal

Fixed in version parrot/1.0.0-1

Done: Allison Randal <allison@parrot.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debian.org>:
Bug#444708; Package parrot. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: parrot: should this package be orphaned?
Date: Sun, 30 Sep 2007 15:39:09 +0200
Package: parrot
Version: 0.4.13-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: proposed-orphan

Hi,

While reviewing packages that were not included in Etch, your package
came up as a package that should maybe be orphaned by its maintainer,
because:

 * 2 RC bugs opened for a very long time
 * new upstream versions available for a very long time

If you think that it should be removed from Debian instead of being
orphaned, please reply to this bug and tell so.

If you agree that it should be orphaned, sending the following commands
to control@bugs.debian.org should do it (after replacing nnnnnn with
this bug's number):

severity nnnnnn normal
reassign nnnnnn wnpp
retitle nnnnnn O: <packagename> -- <short package description>
thanks

For more information, see
http://www.debian.org/doc/developers-reference/ch-pkgs.en.html#s-archive-manip
http://www.debian.org/devel/wnpp/

If you disagree and want to continue to maintain this package, please
close this bug, preferably in an upload also fixing the other issues.

Thank you,

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debian.org>:
Bug#444708; Package parrot. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #10 received at 444708@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 444708@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#444708: parrot: should this package be orphaned?
Date: Tue, 18 Dec 2007 15:30:44 +0100
severity 444708 normal
reassign 444708 wnpp
retitle 444708 O: parrot -- virtual machine to execute bytecode for interpreted languages
thanks

Hi,

Since the situation didn't improve, and the maintainer never answered
this bug report, I'm now orphaning the package, as originally suggested.

Thank you,
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Severity set to `normal' from `serious' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Tue, 18 Dec 2007 14:48:14 GMT) Full text and rfc822 format available.

Bug reassigned from package `parrot' to `wnpp'. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Tue, 18 Dec 2007 14:48:15 GMT) Full text and rfc822 format available.

Changed Bug title to `O: parrot -- virtual machine to execute bytecode for interpreted languages' from `parrot: should this package be orphaned?'. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Tue, 18 Dec 2007 14:48:15 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: parrot -- virtual machine to execute bytecode for' from `O: parrot -- virtual machine to execute bytecode for interpreted languages'. Request was from Allison Randal <allison@perl.org> to control@bugs.debian.org. (Fri, 28 Dec 2007 20:24:02 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: parrot -- virtual machine for dynamic languages' from `ITA: parrot -- virtual machine to execute bytecode for'. Request was from Allison Randal <allison@perl.org> to control@bugs.debian.org. (Fri, 28 Dec 2007 22:48:02 GMT) Full text and rfc822 format available.

Owner recorded as Allison Randal <allison@perl.org>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sun, 06 Jan 2008 11:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Allison Randal <allison@perl.org>:
Bug#444708; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to John Lightsey <lightsey@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Allison Randal <allison@perl.org>. Full text and rfc822 format available.

Message #27 received at 444708@bugs.debian.org (full text, mbox):

From: John Lightsey <lightsey@debian.org>
To: allison@perl.org
Cc: 444708@bugs.debian.org
Subject: ITA: parrot -- virtual machine for dynamic languages
Date: Sun, 30 Mar 2008 01:12:21 -0500
[Message part 1 (text/plain, inline)]
Hi there,

Do you still intend to adopt the Debian Parrot packages?  From what I
can see, there was some talk in December about setting up group
maintenance of Parrot, but it doesn't look like that ever took off.

John
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#444708; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Allison Randal <allison@perl.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #32 received at 444708@bugs.debian.org (full text, mbox):

From: Allison Randal <allison@perl.org>
To: John Lightsey <lightsey@debian.org>, 444708@bugs.debian.org
Subject: Re: Bug#444708: ITA: parrot -- virtual machine for dynamic languages
Date: Sun, 30 Mar 2008 17:15:46 -0700
John Lightsey wrote:
> Hi there,
> 
> Do you still intend to adopt the Debian Parrot packages?  From what I
> can see, there was some talk in December about setting up group
> maintenance of Parrot, but it doesn't look like that ever took off.

The group is in place, and we have 3 Debian Developers as sponsors. 
We've also updated the packages, and have them ready to upload. What 
we're waiting for now is confirmation that one final Debian bug report 
has been resolved (#382147). For that we need a working ia64 box.

All other reported bugs have been resolved and are noted as such in the 
updated changelog file. Once we have this final bug confirmed, we'll 
start submitting monthly Debian packages along with our monthly releases.

Allison




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Allison Randal <allison@perl.org>:
Bug#444708; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Allison Randal <allison@perl.org>. Full text and rfc822 format available.

Message #37 received at 444708@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Allison Randal <allison@perl.org>, 444708@bugs.debian.org
Subject: Re: Bug#444708: ITA: parrot -- virtual machine for dynamic languages
Date: Wed, 9 Apr 2008 13:31:21 +0200
Hi Allison.

On Sun, Mar 30, 2008 at 05:15:46PM -0700, Allison Randal wrote:
> John Lightsey wrote:
>> Hi there,
>>
>> Do you still intend to adopt the Debian Parrot packages?  From what I
>> can see, there was some talk in December about setting up group
>> maintenance of Parrot, but it doesn't look like that ever took off.
>
> The group is in place, and we have 3 Debian Developers as sponsors.  
> We've also updated the packages, and have them ready to upload. What  
> we're waiting for now is confirmation that one final Debian bug report  
> has been resolved (#382147). For that we need a working ia64 box.
>

It would be nice add a little update in that bug report and in #430284,
so other people know they are being worked on.


> All other reported bugs have been resolved and are noted as such in the  
> updated changelog file. Once we have this final bug confirmed, we'll  
> start submitting monthly Debian packages along with our monthly releases.


Nice!

Ana
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Allison Randal <allison@perl.org>:
Bug#444708; Package wnpp. (Fri, 23 Jan 2009 12:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Allison Randal <allison@perl.org>. (Fri, 23 Jan 2009 12:54:03 GMT) Full text and rfc822 format available.

Message #42 received at 444708@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 444708@bugs.debian.org, Allison Randal <allison@perl.org>
Subject: Status of the ITA
Date: Fri, 23 Jan 2009 13:52:58 +0100
[Message part 1 (text/plain, inline)]
Hi,

what's the status of this ITA, are you still actively working on it?

It would be nice to have more up-to-date parrot packages and also a package for
perl6.

I don't think you need a confirmation for bug #382147 being fixed before you
make the upload. You can still upload and then you will automatically see, if it
builds fine on ia64 or not and can fix it otherwise. I would not stall the
progress because of that.

Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#444708; Package wnpp. (Fri, 23 Jan 2009 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Allison Randal <allison@perl.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 23 Jan 2009 17:21:03 GMT) Full text and rfc822 format available.

Message #47 received at 444708@bugs.debian.org (full text, mbox):

From: Allison Randal <allison@perl.org>
To: Michael Biebl <biebl@debian.org>, 444708@bugs.debian.org
Subject: Re: Bug#444708: Status of the ITA
Date: Fri, 23 Jan 2009 09:20:07 -0800
Hi Michael,

Yes, we've been generating regular packages. The 1.0 release of Parrot 
is coming up in March, and it would be nice to get that one in. I'll 
check in with our debian sponsors.

Thanks,
Allison




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 30 Mar 2009 19:09:05 GMT) Full text and rfc822 format available.

Reply sent to Allison Randal <allison@parrot.org>:
You have taken responsibility. (Mon, 30 Mar 2009 21:48:12 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 30 Mar 2009 21:48:12 GMT) Full text and rfc822 format available.

Message #54 received at 444708-close@bugs.debian.org (full text, mbox):

From: Allison Randal <allison@parrot.org>
To: 444708-close@bugs.debian.org
Subject: Bug#444708: fixed in parrot 1.0.0-1
Date: Mon, 30 Mar 2009 21:41:56 +0000
Source: parrot
Source-Version: 1.0.0-1

We believe that the bug you reported is fixed in the latest version of
parrot, which is due to be installed in the Debian FTP archive:

libparrot-dev_1.0.0-1_i386.deb
  to pool/main/p/parrot/libparrot-dev_1.0.0-1_i386.deb
libparrot1.0.0_1.0.0-1_i386.deb
  to pool/main/p/parrot/libparrot1.0.0_1.0.0-1_i386.deb
parrot-devel_1.0.0-1_i386.deb
  to pool/main/p/parrot/parrot-devel_1.0.0-1_i386.deb
parrot-doc_1.0.0-1_all.deb
  to pool/main/p/parrot/parrot-doc_1.0.0-1_all.deb
parrot-minimal_1.0.0-1_i386.deb
  to pool/main/p/parrot/parrot-minimal_1.0.0-1_i386.deb
parrot_1.0.0-1.diff.gz
  to pool/main/p/parrot/parrot_1.0.0-1.diff.gz
parrot_1.0.0-1.dsc
  to pool/main/p/parrot/parrot_1.0.0-1.dsc
parrot_1.0.0-1_i386.deb
  to pool/main/p/parrot/parrot_1.0.0-1_i386.deb
parrot_1.0.0.orig.tar.gz
  to pool/main/p/parrot/parrot_1.0.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 444708@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Allison Randal <allison@parrot.org> (supplier of updated parrot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 25 Mar 2009 00:45:40 -0500
Source: parrot
Binary: parrot parrot-minimal libparrot1.0.0 libparrot-dev parrot-doc parrot-devel
Architecture: source all i386
Version: 1.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>
Changed-By: Allison Randal <allison@parrot.org>
Description: 
 libparrot-dev - Parrot shared library development files
 libparrot1.0.0 - Parrot shared library
 parrot     - A virtual machine for dynamic languages
 parrot-devel - Parrot development tools
 parrot-doc - Parrot documentation
 parrot-minimal - A minimal install of the Parrot VM
Closes: 431289 444707 444708 456835
Changes: 
 parrot (1.0.0-1) unstable; urgency=low
 .
   * New upstream release
   * debian/control.in:
     - Updated Description of all packages.
     - Bumped Standards-Version to 3.8.1
     - Add new packages parrot-minimal and parrot-devel
   * debian/rules:
     - Integrate Ubuntu packaging changes to automatically generate
       debian/control.
     - Re-order dh_installdeb in binary-arch to run after dh_makeshlibs and
       shlibdeps so that the library gets installed properly (patch from David
       Nusinow)
     - Move manpage generation to new packages. Rename parrot-debugger.1 to
       parrot_debugger.1 to match executable name. Generate parrot_config
       manpage from .pir source files (patch from David Nusinow)
   * parrot.install.in, parrot-doc.install.in, libparrot.install.in,
     libparrot-dev.install.in
     - Added template files, replace parrot.install, parrot-doc.install,
       libparrot.install, and libparrot-dev.install
   * parrot-minimal.install.in, parrot-devel.install.in
     - Added template files for new packages
   * parrot-doc.docs, libparrot-dev.dirs
     - Removed
   * libparrot.postinst
     - Added so ldconfig gets called properly by dh_makeshlibs (patch from
       David Nusinow)
   * debian/copyright:
     - Changed copyright holder to Parrot Foundation, reflecting change in
       distribution.
     - Removed copyright info for files no longer in distribution.
 .
 parrot (0.9.0-1) unstable; urgency=low
 .
   * New upstream release
   * debian/control.in:
     - Build-Depends removed optional library libicu-dev.
       Removed optional library libgmp3-dev.
     - Depends for libparrot-dev removed optional library
       libicu-dev.
   * debian/rules
     - Removed --optimize flag from configure, known problems
       on 64-bit architectures.
     - Changed 'reallyinstall' target to 'install', matching
       change in source makefile.
   * debian/parrot-doc.docs
     - Updated to sync with doc files in distribution.
   * debian/copyright:
     - Updated copyright years.
 .
 parrot (0.7.0-1) unstable; urgency=low
 .
   * New upstream release
 .
 parrot (0.6.4-1) unstable; urgency=low
 .
   * New upstream release
   * debian/copyright:
     - Added license link.
     - Updated copyright years.
     - Removed copyright info for files no longer in distribution.
 .
 parrot (0.5.1-1) unstable; urgency=low
 .
   * New upstream release (Closes: #444707).
   * debian/control.in:
     - Build-Depends updated to libicu-dev from libicu36-dev
       (Closes: #456835).
     - Depends for libparrot-dev updated to libicu-dev from
       libicu34-dev (Closes: #431289).
     - New maintainer: Parrot Debian Maintainers
       (Closes: #444708)
     - New uploaders: Allison Randal, Nuno Carvalho,
       Patrick Michaud
     - Updated long and short package descriptions.
   * debian/rules
     - Removed install of install_config.o file, no longer in
       distribution.
   * debian/libparrot0.4.12.install
     - Deleted, replaced by debian/libparrot.install.
   * debian/parrot-doc.docs
     - Updated to sync with doc files in distribution.
     - Sorted for easier diffs between generated file lists.
   * debian/copyright:
     - Added license link.
     - Updated copyright years.
     - Removed copyright info for files no longer in distribution.
Checksums-Sha1: 
 f1531f3dc9f0b3f806136a9e0aab1a33ef571f73 1278 parrot_1.0.0-1.dsc
 9e028f5fff38a332c13ad4389652a016d7a824f7 3908888 parrot_1.0.0.orig.tar.gz
 33e4ae33b07e0aa04c1cb922d4b136ca1af557a8 12690 parrot_1.0.0-1.diff.gz
 a1c14bf40389d3d0c17c65cbbf6d710ef5056abf 199856 parrot-doc_1.0.0-1_all.deb
 e807a168d5069ae49e1df08e0d3a79bc9d5d716a 282084 parrot_1.0.0-1_i386.deb
 d97107056775888fefec3b5877018cc670ce206b 104054 parrot-minimal_1.0.0-1_i386.deb
 7b8ac264761973b6660c2ed568c8cd356647af5c 1279164 libparrot1.0.0_1.0.0-1_i386.deb
 d24c9cba87dbc6865c3136c46233691c70c7f5b5 1818118 libparrot-dev_1.0.0-1_i386.deb
 830bb3e915831755f5d9614a1fb665f5ee341a1b 1048002 parrot-devel_1.0.0-1_i386.deb
Checksums-Sha256: 
 a97180b262f0b78a4cf2cf935c14b6a33442fb38fc0f0fa03f95ddcd9c01bf8b 1278 parrot_1.0.0-1.dsc
 f81b44b769fc043ad5cbb2cc015953b5be4eb9290dfa4076ef88d4b395429c9c 3908888 parrot_1.0.0.orig.tar.gz
 821edbed5f1bced061073bf9db316fd165b1c0b581a28cf9f43b979664793769 12690 parrot_1.0.0-1.diff.gz
 c18e7efc83365e0db6ec28bae73aefce5e6e4ec26ae72d00f5999bb2ee570025 199856 parrot-doc_1.0.0-1_all.deb
 6c3f8b7c4adf7ba13a9fe854ea93291fc686c3bf35d6b80543ae619de66e921d 282084 parrot_1.0.0-1_i386.deb
 f0ce005065af3bd05f98811f30139eb09b4a055fe6e964fb032a181b00622109 104054 parrot-minimal_1.0.0-1_i386.deb
 3beddd06e423808cbc09e9dc9407b697e8b3d07d4bf90970c9e844bde920f4c4 1279164 libparrot1.0.0_1.0.0-1_i386.deb
 91ebdaff8fd01e59471237ddc77a4ecdb9845b7a2a815af0f8d6de5d653e89eb 1818118 libparrot-dev_1.0.0-1_i386.deb
 8918c271a0ec7239f0dab50cf96c48fcaf14b0aa1de493aaddb4e67fa7d241a7 1048002 parrot-devel_1.0.0-1_i386.deb
Files: 
 61b20b20d941fcc0be58bd5fec1564c1 1278 interpreters optional parrot_1.0.0-1.dsc
 649ce1fb7c0edaf89dc1cd52ff267b1a 3908888 interpreters optional parrot_1.0.0.orig.tar.gz
 931d5b82dca9b5ea4a39d60eff3fd37d 12690 interpreters optional parrot_1.0.0-1.diff.gz
 f9b7c68825a5f81eafbc53c608db40c1 199856 doc optional parrot-doc_1.0.0-1_all.deb
 66d9ed1b4ec92398305bad24442671fc 282084 interpreters optional parrot_1.0.0-1_i386.deb
 121f92321f4bea3192eb82a658708aa7 104054 interpreters optional parrot-minimal_1.0.0-1_i386.deb
 d22c53a099b5f4d177df0941070db12e 1279164 libs optional libparrot1.0.0_1.0.0-1_i386.deb
 7c74eb50045b5ca3a39435620ff396e6 1818118 libdevel optional libparrot-dev_1.0.0-1_i386.deb
 11dd2bddd7e14062c38e294683b0a89f 1048002 devel optional parrot-devel_1.0.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iD8DBQFJ0KNe9t0zAhD6TNERAmgrAJ9hoFrjQvkN+NSrWbDMAkt2oO4sWgCeLpwp
8YudLypKGXD1pXrf/ej4hQI=
=PAc8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Apr 2009 07:26:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:02:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.